Bug 982204 - Review Request: Elm - The Elm language module
Review Request: Elm - The Elm language module
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: ghc-hjsmin ghc-indents ghc-union-find ghc-data-default-class ghc-language-ecmascript ghc-aeson-pretty
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 07:42 EDT by Ricky Elrod
Modified: 2018-01-09 05:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-09 05:28:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-07-08 07:42:41 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/elm/elm.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/elm/elm-0.8.0.3-1.fc19.src.rpm
Description:
Elm aims to make client-side web-development more pleasant. It is a
statically/strongly typed, functional reactive language to HTML, CSS, and JS.
This package provides a library for Elm compilation in Haskell and a compiler
executable.
Fedora Account System Username: codeblock
Comment 1 Jens Petersen 2013-07-09 06:12:09 EDT
I think it might be better to call the package "Elm".

At least cabal-rpm currently assumes that name = pkg_name
for BinLib packages like this and it is also recommended
in the Haskell Guidelines.  (Failing that probably need to replace
%{name} with %{pkg_name} in various places in the spec file.)
Comment 2 Jens Petersen 2013-09-13 01:48:51 EDT
Some more comments:

- Perhaps the Summary could be more descriptive.
  How about: "Functional reactive web programming lanaguage"?

- Latest upstream version is now 0.9.0.2 though it needs union-find.

- You will probably have to ExcludeArch armv7hl for now since pandoc
  refuses to build there currently with ghc-7.6.3 and llvm-3.3 (f20).
  Hopefully that should improve in F21 when we move to ghc-7.8.

(In reply to Jens Petersen from comment #1)
> I think it might be better to call the package "Elm".
> 
> At least cabal-rpm currently assumes that name = pkg_name
> for BinLib packages like this and it is also recommended
> in the Haskell Guidelines.  (Failing that probably need to replace
> %{name} with %{pkg_name} in various places in the spec file.)

Well it seems to build and install okay here but I still
recommend using "Elm" since it is more consistent and
I think some of the haskell-sig script might get confused
if the package and hackage names are different.
Comment 3 Ralf Corsepius 2013-09-13 02:14:20 EDT
(In reply to Jens Petersen from comment #2)

> Well it seems to build and install okay here but I still
> recommend using "Elm" 

Just a remark: I guess you are aware, there once was a then-very-popular email client called "elm" [1]. Though I am not aware about any current Linux distro is shipping it, I'd expect finding a package named "elm" would cause some confusion *nix old-timers ;)

[1] http://en.wikipedia.org/wiki/Elm_%28e-mail_client%29
Comment 4 Jens Petersen 2013-09-13 04:22:31 EDT
(In reply to Ralf Corsepius from comment #3)
> Just a remark: I guess you are aware, there once was a then-very-popular
> email client called "elm" [1]. Though I am not aware about any current Linux
> distro is shipping it, I'd expect finding a package named "elm" would cause
> some confusion *nix old-timers ;)

Right - it had crossed my mind.
I did a little digging and as far as I can tell
the last release that shipped with elm was RHL 7.3 (2002).
(I don't see it in Fedora Extras either.)
So I hope this is not a big concern still now.
But it might be an additional argument for
calling this package "Elm" instead of "elm". :)

(If it is really is a concern perhaps we could call
it elm-lang in line with the upstream website
but this will only makes maintenance life harder.)
Comment 5 Ricky Elrod 2013-09-22 12:20:31 EDT
The latest version of Elm requires two new dependencies: uniplate (which is already packaged) and union-find which is not. I will package up union-find and try to finish up getting Elm into Fedora.
Comment 6 Leon Neo 2013-11-30 05:43:37 EST
Actually, elm isnt as easy and isnt as good.
It kind of sucks because its hard, useless, complicated, none helpful comments and so on and so forth. I wont use that anymore.
Comment 7 Jens Petersen 2013-12-02 02:45:44 EST
(In reply to Leon Neo from comment #6)
> Actually, elm isnt as easy and isnt as good.

compared to what?

There is also helm, though I haven't tried it.
Comment 8 Jens Petersen 2014-01-22 00:49:00 EST
Latest version is now 0.11 with some news features:
http://elm-lang.org/blog/announce/0.11.elm

Even better no additional deps afaics.
Comment 9 Jens Petersen 2014-03-28 03:32:24 EDT
Latest now 0.12 - I /think/ still no more deps.
Comment 10 Jens Petersen 2014-04-08 22:15:02 EDT
Actually Elm > 0.10.0.2 requires binary >= 0.6.4.0, ie ghc-7.8!

So targeting 0.10.0.2 currently seems best
at least until ghc-7.8 is in rawhide.
Comment 11 Jens Petersen 2014-04-24 04:58:41 EDT
I wonder if it is better to use the tarball releases from github for now
which includes the standard library.

Otherwise the following spec file seems to build okay
with fedora macros/cabal-rpm without libraries/ from hackage:

http://petersen.fedorapeople.org/reviews/Elm.spec

but probably better to include libraries/?

I opened https://github.com/elm-lang/Elm/issues/580
to request including the libs in the hackage releases.
Comment 12 Jens Petersen 2014-05-11 22:08:29 EDT
(In reply to Jens Petersen from comment #11)
> I wonder if it is better to use the tarball releases from github for now
> which includes the standard library.

Seems this is not necessary actually.
The Elm package already includes the compiled libraries, see:

> https://github.com/elm-lang/Elm/issues/580

Though I dunno if it would still not be better to do so strictly
- more Fedora-esque perhaps?  (building from source afap)
Comment 13 Jens Petersen 2018-01-09 05:28:09 EST
Deprecated in Hackage in favor of elm-compiler

Note You need to log in before you can comment on or make changes to this bug.